### Method

# Fwupd JcatItem add_alias_id

since: 2.1.3

#### Declaration [src]

    void
    fwupd_jcat_item_add_alias_id (
      FwupdJcatItem* self,
      const gchar* id
    )

#### Description [src]

Adds an item alias ID. Alias IDs are matched when using functions such as fwupd_jcat_file_get_item_by_id().

Available since: 2.1.3

#### Parameters

`id`

  Type: `const gchar*`

  An item ID alias, typically a file basename.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.